import Vue from 'vue';
import Vuex from 'vuex';
import login from './login';
import claimneed from './claimneed';
import stockneed from './stockneed';
import follow from './follow';
import financeclaim from './financeclaim';
import * as muta from './user/mutations';
import * as states from './user/state';
import otheruser from './otheruser';
import institution from './institution';
import dictionary from './dictionary';
import managemoney from './managemoney';
import applymmoney from './applymmoney';
import intelligentDocking from './intelligentDocking';
import intelligentFollow from './intelligentFollow';
import tUrgeHandle from './tUrgeHandle';
import tNewAssign from './tNewAssign';
import companyup from './companyup';
import profession from './profession';
import userMenu from './userMenu';
import character from './character';

Vue.use(Vuex);

export default new Vuex.Store({
  modules: {
    login,
    claimneed,
    stockneed,
    follow,
    financeclaim,
    otheruser,
    institution,
    dictionary,
    managemoney,
    applymmoney,
    intelligentDocking,
    intelligentFollow,
    tUrgeHandle,
    tNewAssign,
    companyup,
    profession,
    userMenu,
    character
  },
  state: { ...states },
  mutations: { ...muta },
  actions: {},
});
