import Vue from 'vue';
Vue.config.weixin = {
  // baseUrl: process.env.BASE_URL + 'weixin',
  baseUrl: 'http://free.liaoningdoupo.com',
  target: process.env.NODE_ENV === 'development' ? 'http://10.16.10.7:8001' : 'http://free.liaoningdoupo.com/mobile',
};

Vue.config.stomp = {
  // brokerURL: 'ws://192.168.1.190:15674/ws',
  brokerURL: '/ws', // ws://${location.host}/ws
  connectHeaders: {
    host: 'train',
    login: 'visit',
    passcode: 'visit',
  },
  // debug: true,
  reconnectDelay: 5000,
  heartbeatIncoming: 4000,
  heartbeatOutgoing: 4000,
};
